<?php

namespace app\admin\controller\medical;

use app\admin\validate\medical\ReservationServiceValidate;
use app\controller\Curd;
use app\model\MedicalReservationService;
use support\Request;
use support\Response;

class ReservationServiceController extends Curd
{
    public function __construct()
    {
        $this->model = new MedicalReservationService();
        $this->validate = true;
        $this->validateClass = new ReservationServiceValidate();
    }

    /**
     * @Desc 列表
     * @Author Gorden
     * @Date 2024/3/1 11:23
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function select(Request $request): Response
    {
        [$where, $format, $limit, $field, $order] = $this->selectInput($request);
        $order = $request->get('order', 'desc');
        $field = $field ?? 'service_addTime';
        $where['service_is_del'] = 0;
        $query = $this->doSelect($where, $field, $order);
        return $this->doFormat($query, $format, $limit);
    }

    /**
     * @Desc 软删除
     * @Author Gorden
     * @Date 2024/3/1 11:23
     *
     * @param Request $request
     * @return Response
     * @throws \support\exception\BusinessException
     */
    public function delete(Request $request): Response
    {
        $ids = $this->deleteInput($request);
        $this->doSoftDelete($ids, ['service_is_del' => 1]);

        return json_success('success');
    }

    /**
     * @Desc 修改状态
     * @Author Gorden
     * @Date 2024/3/1 11:24
     *
     * @param Request $request
     * @return Response
     */
    public function updateStatus(Request $request)
    {
        return $this->updateField($request->post('service_id'), 'service_status', $request->post('service_status'));
    }
}